Subject: Re: [PATCH] IPv6: optimize echo reply checksum calculation

From: Brian Haley <[email-masked]>
Date: Fri, 10 Nov 2006 14:04:32 -0500

Al Viro wrote:
> so -= 1 is broken even on ia64 and it's *always* broken on big-endian
> boxen.

It's not broken in ia64, I've tested that, just don't have an x86 for 
testing right now.  Can you please apply these changes and prove it's 
broken?  This little trick has been done in other UNIXes for years 
without any problems.

-Brian